## GtexTemplatesDialogs

GtexTemplatesDialogs

## Functions

gchar * | gtex_templates_dialogs_open ()
void | gtex_templates_dialogs_create_template ()

## Includes

    #include <gtex.h>

## Description

## Functions

### gtex_templates_dialogs_open ()

    gchar *
    gtex_templates_dialogs_open (GtkWindow *parent_window);

Runs a GtkDialog to create a new document from a template. Only the template's contents is returned.

#### Parameters

parent_window | transient parent window of the dialog. |

#### Returns

the template contents, or `NULL` if no templates must be opened.

### gtex_templates_dialogs_create_template ()

    void
    gtex_templates_dialogs_create_template
                                   (GtkWindow *parent_window,
                                    const gchar *template_contents);

Runs a GtkDialog to create a new template. The template's contents is given. The GtkDialog asks the template's name and icon.

#### Parameters

parent_window | transient parent window of the dialog. |
template_contents | the template's contents. |